<!DOCTYPE html>
<html>
  <head>
    <title>XTestingApi</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
    <link href="https://cdn.jsdelivr.net/npm/boosted@5.3.2/dist/css/boosted.min.css" rel="stylesheet" integrity="sha384-fyenpx19UpfUhZ+SD9o9IdxeIJKE6upKx0B54OcXy1TqnO660Qw9xw6rOASP+eir" crossorigin="anonymous">
    <link href="https://cdn.jsdelivr.net/gh/tofsjonas/sortable@latest/sortable.min.css" rel="stylesheet" />
    <%= javascript_importmap_tags %>
  </head>

  <body class="container" data-bs-theme="light">
    <header>
      <nav class="navbar">
        <a class="navbar-brand" href="/">XTesting-API</a>
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <%= link_to 'Results', results_path, class: 'nav-link' %>
          </li>
        </ul>
      </nav>
    </header>
    <main>
    <%= yield %>
    </main>
  </body>
</html>
